#import "ViewController.h"

@interface ViewController ()
{
    IGChartView *_chart;
    IGHighLowSeriesDataSourceHelper *_dsh;
    IGRangeAreaSeries *_series;
}

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    _chart = [[IGChartView alloc]initWithFrame:self.view.bounds];
    NSArray *low = @[@5,@3,@5,@7,@9,@11,@14,@11,@7,@5,@3,@6];
    NSArray *high = @[@10,@12,@14,@13,@10,@6,@4,@9,@13,@15,@16,@12];
    
    _dsh = [[IGHighLowSeriesDataSourceHelper alloc]initWithHighValues:high andLowValues:low];
    
    _series = (IGRangeAreaSeries*)[_chart addSeriesForType:[IGRangeAreaSeries class] usingKey:@"series" withDataSource:_dsh firstAxisKey:@"x" secondAxisKey:@"y"];
    
    _series.highOutline = [[IGBrush alloc]initWithColor:[UIColor redColor]];
    _series.lowOutline = [[IGBrush alloc]initWithColor:[UIColor blueColor]];
    _series.allowCrossingPaths = YES;
    
    [self.view addSubview:_chart];
    
    UIButton *btn = [[UIButton alloc]initWithFrame:CGRectMake(20, 20, 150, 40)];
    
    [btn setTitle:@"change crossing" forState:UIControlStateNormal];
    [btn setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    [btn.titleLabel setFont:[UIFont fontWithName:@"Helvetica" size:20]];
    btn.layer.borderColor = [UIColor blackColor].CGColor;
    btn.layer.borderWidth = 1;
    btn.backgroundColor = [UIColor lightGrayColor];
    [btn addTarget:self action:@selector(click) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:btn];
}

-(void)click
{
    _series.allowCrossingPaths = !_series.allowCrossingPaths;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
